## velvet 0.7.34

=== Makefile ===
CC = gcc
CFLAGS = -Wall
DEBUG = -g 
LDFLAGS = -lm
OPT = -O3
DEF = 

Z_LIB_DIR=third-party/zlib-1.2.3
Z_LIB_FILES=$(Z_LIB_DIR)/*.o

# Mac OS users: uncomment the following lines
# Z_LIB_FILES=
# LDFLAGS = -lm -lz
# CFLAGS = -Wall -m64

# Sparc/Solaris users: uncomment the following line
# CFLAGS = -Wall -m64

OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/crc.o obj/utility.o
OBJDBG = $(subst obj,obj/dbg,$(OBJ))

default : cleanobj zlib obj velveth velvetg 

clean :
	-rm obj/*.o obj/dbg/*.o ./velvet* 
	cd $(Z_LIB_DIR) && make clean

cleanobj: 
	-rm obj/*.o obj/dbg/*.o 

zlib : 
	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o

velveth : $(OBJ) 
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o $(Z_LIB_FILES)


velvetg : $(OBJ)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o $(Z_LIB_FILES)

debug : cleanobj zlib obj/dbg $(OBJDBG)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o $(Z_LIB_FILES)

color : override DEF = -D COLOR
color : cleanobj zlib obj $(OBJ)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o $(Z_LIB_FILES)

colordebug : override DEF = -D COLOR
colordebug : cleanobj zlib obj/dbg $(OBJDBG) 
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o $(Z_LIB_FILES)

obj:
	mkdir -p obj

obj/dbg: 
	mkdir -p obj/dbg

obj/%.o: src/%.c
	$(CC) $(CFLAGS) $(OPT) $(DEF) -c $? -o $@ 

obj/dbg/%.o: src/%.c
	$(CC) $(CFLAGS) $(DEBUG) $(DEF) -c $? -o $@

## velvet 0.7.56~nozlibcopy

=== Makefile ===
CC = gcc
CFLAGS = -Wall
DEBUG = -g
LDFLAGS = -lm
OPT = -O3
MAXKMERLENGTH=31
CATEGORIES=2
DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)

Z_LIB_DIR=third-party/zlib-1.2.3
Z_LIB_FILES=$(Z_LIB_DIR)/*.o

# Mac OS users: uncomment the following lines
# Z_LIB_FILES=
# LDFLAGS = -lm -lz
# CFLAGS = -Wall -m64

# Sparc/Solaris users: uncomment the following line
# CFLAGS = -Wall -m64

OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/crc.o obj/utility.o obj/kmer.o obj/scaffold.o
OBJDBG = $(subst obj,obj/dbg,$(OBJ))

default : cleanobj zlib obj velveth velvetg doc

clean :
	-rm obj/*.o obj/dbg/*.o ./velvet* 
	cd $(Z_LIB_DIR) && make clean
	-rm -f doc/manual_src/Manual.toc doc/manual_src/Manual.aux doc/manual_src/Manual.out doc/manual_src/Manual.log

cleanobj: 
	-rm obj/*.o obj/dbg/*.o 

zlib : 
	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o

velveth : $(OBJ) 
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)


velvetg : $(OBJ)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)

debug : cleanobj zlib obj/dbg $(OBJDBG)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)

color : override DEF := $(DEF) -D COLOR
color : cleanobj zlib obj $(OBJ)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)

colordebug : override DEF := $(DEF) -D COLOR
colordebug : cleanobj zlib obj/dbg $(OBJDBG) 
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)

obj:
	mkdir -p obj

obj/dbg: 
	mkdir -p obj/dbg

obj/%.o: src/%.c
	$(CC) $(CFLAGS) $(OPT) $(DEF) -c $? -o $@ 

obj/dbg/%.o: src/%.c
	$(CC) $(CFLAGS) $(DEBUG) $(DEF) -c $? -o $@ 

doc: Manual.pdf

Manual.pdf: doc/manual_src/Manual.tex
	cd doc/manual_src; pdflatex Manual.tex; pdflatex Manual.tex; mv Manual.pdf ../..

## velvet 0.7.61~nozlibcopy

=== Makefile ===
--- 
+++ 
@@ -34,32 +34,40 @@
 zlib : 
 	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o
 
-velveth : $(OBJ) 
+velveth : obj 
 	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)
 
 
-velvetg : $(OBJ)
+velvetg : obj
 	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)
 
-debug : cleanobj zlib obj/dbg $(OBJDBG)
+debug : cleanobj obj/dbg
 	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)
 	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)
 
-color : override DEF := $(DEF) -D COLOR
-color : cleanobj zlib obj $(OBJ)
+color : cleanobj obj_de
 	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)
 	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)
 
-colordebug : override DEF := $(DEF) -D COLOR
-colordebug : cleanobj zlib obj/dbg $(OBJDBG) 
+colordebug : cleanobj obj/dbg_de
 	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)
 	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)
 
-obj:
+objdir:
 	mkdir -p obj
 
-obj/dbg: 
+obj: zlib objdir $(OBJ)
+
+obj_de: override DEF := $(DEF) -D COLOR
+obj_de: zlib cleanobj objdir $(OBJ)
+
+obj/dbgdir: 
 	mkdir -p obj/dbg
+
+obj/dbg: zlib obj/dbgdir $(OBJDBG)
+
+obj/dbg_de: override DEF := $(DEF) -D COLOR
+obj/dbg_de: zlib cleanobj obj/dbgdir $(OBJDBG)
 
 obj/%.o: src/%.c
 	$(CC) $(CFLAGS) $(OPT) $(DEF) -c $? -o $@

## velvet 1.0.02~nozlibcopy

=== Makefile ===
CC = gcc
CFLAGS = -Wall
DEBUG = -g
LDFLAGS = -lm
OPT = -O3
MAXKMERLENGTH=31
CATEGORIES=2
DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)

Z_LIB_DIR=third-party/zlib-1.2.3
Z_LIB_FILES=$(Z_LIB_DIR)/*.o

# Mac OS users: uncomment the following lines
# Z_LIB_FILES=
# LDFLAGS = -lm -lz
# CFLAGS = -Wall -m64

# Sparc/Solaris users: uncomment the following line
# CFLAGS = -Wall -m64

OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/crc.o obj/utility.o obj/kmer.o obj/scaffold.o obj/kmerOccurenceTable.o
OBJDBG = $(subst obj,obj/dbg,$(OBJ))

default : cleanobj zlib obj velveth velvetg doc

clean :
	-rm obj/*.o obj/dbg/*.o ./velvet* 
	cd $(Z_LIB_DIR) && make clean
	-rm -f doc/manual_src/Manual.toc doc/manual_src/Manual.aux doc/manual_src/Manual.out doc/manual_src/Manual.log
	-rm -f doc/manual_src/Columbus_manual.aux doc/manual_src/Columbus_manual.out doc/manual_src/Columbus_manual.log

cleanobj: 
	-rm obj/*.o obj/dbg/*.o 

zlib : 
	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o

velveth : obj 
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES)


velvetg : obj
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES)

debug : cleanobj obj/dbg
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o  $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o $(Z_LIB_FILES)

color : override DEF := $(DEF) -D COLOR
color : cleanobj obj
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES)

colordebug : override DEF := $(DEF) -D COLOR
colordebug : cleanobj obj/dbg
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o $(Z_LIB_FILES)

objdir:
	mkdir -p obj

obj: zlib objdir $(OBJ)

obj/dbgdir: 
	mkdir -p obj/dbg

obj/dbg: zlib obj/dbgdir $(OBJDBG)

obj/%.o: src/%.c
	$(CC) $(CFLAGS) $(OPT) $(DEF) -c $? -o $@ 

obj/dbg/%.o: src/%.c
	$(CC) $(CFLAGS) $(DEBUG) $(DEF) -c $? -o $@ 

doc: Manual.pdf

Manual.pdf: doc/manual_src/Manual.tex doc/manual_src/Columbus_manual.tex
	cd doc/manual_src; pdflatex Manual.tex; pdflatex Manual.tex; mv Manual.pdf ../..; pdflatex Columbus_manual.tex; mv Columbus_manual.pdf ../..

=== debian/changelog ===
velvet (1.0.02~nozlibcopy-1) unstable; urgency=low

  * New upstream version
  * Source format 3.0 (quilt)
  * debian/control:
    - Recommends: python (some new scripts in /usr/share/velvet/contrib
      are Python scripts)
    - Build-Depends: quilt
  * debian/rules:
    include /usr/share/cdbs/1/rules/patchsys-quilt.mk
    (instead of simple-patchsys)
  * debian/patches: Switch to quilt
  * debian/patches/shuffleSequences_fasta.patch:
    Add interpreter to Python script

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jun 2010 15:41:53 +0200

velvet (0.7.61~nozlibcopy-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source, debian/rules: Strip zlib copy from
    upstream tarball

 -- Andreas Tille <tille@debian.org>  Mon, 22 Mar 2010 15:41:53 +0100

velvet (0.7.59~nozlibcopy-1) unstable; urgency=low

  * New upstream release

  [ Charles Plessy ]
  * Incremented Standard-Version in debian/control to reflect conformance
    with Policy 3.8.4 (no changes needed).

  [ Andreas Tille ]
  * Fixed watch file to make sure it is not supporting newer upstream

 -- Charles Plessy <plessy@debian.org>  Sat, 20 Feb 2010 13:00:13 +0900

velvet (0.7.56~nozlibcopy-1) unstable; urgency=low

  * New upstream version.
  * Repackaged the upstream directory to remove the convenience copy
    of the zlib. Documented this in ‘debian/README.source’.
    Closes: #561433.
  * Updated debian/copyright.
  * Added ‘include_debians_zlib.patch’ to enforce the use of
    /usr/include/zlib.h. This patch is applied using CDBS, see
    ‘debian/rules’ and ‘debian/README.source’.
  * Renamed ‘debian/reference’ ‘debian/upstream-metadata.yaml’ and
    centralised upstream-specific information there.

 -- Charles Plessy <plessy@debian.org>  Mon, 25 Jan 2010 13:03:06 +0900

velvet (0.7.55-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2009 14:52:41 +0200

velvet (0.7.53-1) unstable; urgency=low

  * New upstream release:
    - Ignored reads in Pebble corrected
    - Added automatic measure of median coverage and median insert length
    - Updated manual to cover the above

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Sep 2009 13:42:22 +0900

velvet (0.7.52-1) unstable; urgency=low

  * New upstream release:
    V 0.7.51
    - Small parsing bug
    - Correction to the observed-insert-length script
    - Verified strncpy calls
    - NCBI friendly 10bp N-gaps
    V 0.7.52
    - Crashing bug when parsing fa.gz files
    - Crashing bug with tiny Graph files
    - Bug when loading FASTA files with short lines
    - Corrected snp_view.pl script to write reverse strand reads in
      snp_view_reads file
    - Corrected snp_view.pl script to behave better near the edges of contigs
    - Updated observed_insert_length to compute the standard deviation of
      the set
    - Corrected observed_insert_length script so that it does not crash on
      empty libraries
    - Crashing bug when providing an odd number of paired reads
    - Mapping bug of reads during tour bus correction
  * Replaced the UNRELEASED tag by ‘unstable’ in debian/changelog as
    0.7.50-1 was really uploaded and accepted by the archive.

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Sep 2009 20:00:54 +0900

velvet (0.7.50-1) unstable; urgency=low

  * New upstream release:
    V 0.7.49
    - Added the optional output of unused reads
    - Added David Studholme's FastA -> AGP script
    V 0.7.50
    - Added the extractContigReads script
    - Updated the FastA -> AGP script
    - Added the observed-insert-length script
    - Small parsing bug in simplified read import
  * Incremented Standards-Version in debian/control to reflect conformance
      with Policy 3.8.3 (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Aug 2009 21:58:49 +0900

velvet (0.7.48-1) unstable; urgency=low

  * New upstream release:
    - Accelerated concatenation (pre-graph and graph)
    - Unlimited contig size
    - Bug in parsing FASTA files with very long lines
    - Parsing bug in snp_view.pl script

 -- Charles Plessy <plessy@debian.org>  Tue, 11 Aug 2009 19:54:03 +0900

velvet (0.7.47-1) unstable; urgency=low

  * New upstream release correcting bugs and enhancing documentation.
  * Multi-Arch support (‘foreign’) in debian/control.
  * Corrected debian/install to avoid ugly ‘contrib/contrib’ location.

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Jul 2009 13:43:13 +0900

velvet (0.7.44-1) unstable; urgency=low

  * New upstream release.
  * Added bibliographic information in BibTeX format in debian/references.
  * debian/rules: touch zlib to avoid third-party zlib to be built.
  * Removed ‘debian/patches/20_external_zlib.patch’. Passing apropriate
    variables in debian/rules is enough to build dynamically on Debian's
    zlib.
  * Removed the quilt patch system (debian/control, debian/README.source
    debian/rules).
  * Incremented Standards-Version in debian/control to reflect conformance
    with Policy 3.8.2 (no changes needed).
  * Corrected the installation of files that were moved from the
    ‘third-party’ directory to the ‘contrib’ directory.
  * Experimentation on debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Sun, 12 Jul 2009 00:24:56 +0900

velvet (0.7.37-1) unstable; urgency=low

  * New upstream release. 
    - Small formatting change to error messages
    - K > 31 now possible
    - --help option corrected for velvetg
    - Acceleration of k-mer operations (comparable to 64bit int performance)
    - Fixed variable lengths
    - Reordered struct declaration for more efficent memory alignment
  * debian/rules:
    - Restored manpage generation for velvetg*.
    - Added forgotten CFLAGS for the colorspace building.

 -- Charles Plessy <plessy@debian.org>  Sat, 27 Jun 2009 12:27:27 +0900

velvet (0.7.34-1) unstable; urgency=low

  * New upstream release correcting multiple bugs, changing the stats output,


=== debian/control ===
Source: velvet
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: cdbs, debhelper (>= 7.1), zlib1g-dev, help2man, quilt
Standards-Version: 3.8.4
Homepage: http://www.ebi.ac.uk/~zerbino/velvet/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/velvet/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/velvet/trunk/

Package: velvet
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python
Suggests: velvet-example
Description: Nucleic acid sequence assembler for very short reads
 Velvet is a de novo genomic assembler specially designed for short read
 sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
 Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
 Cambridge, in the United Kingdom.
 .
 Velvet currently takes in short read sequences, removes errors then produces
 high quality unique contigs. It then uses paired read information, if
 available, to retrieve the repeated areas between contigs.

Package: velvet-example
Architecture: all
Depends: ${misc:Depends}
Description: Example data for the Velvet sequence assembler
 Velvet is a de novo genomic assembler specially designed for short read
 sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
 Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
 Cambridge, in the United Kingdom.
 .
 Velvet currently takes in short read sequences, removes errors then produces
 high quality unique contigs. It then uses paired read information, if
 available, to retrieve the repeated areas between contigs.
 .
 This package contains the example data distributed in the sources of Velvet,
 a de novo genomic assembler.

=== debian/rules ===
#!/usr/bin/make -f

DEB_COMPRESS_EXCLUDE := .pdf	# The PDF doc will not be compressed

build/velvet::
	touch zlib # prevents the zlib in the ‘third-party’ folder to be built.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

clean::
	$(RM) zlib

pkg=velvet

DEB_MAKE_BUILD_TARGET = obj velveth velvetg Z_LIB_FILES='' LDFLAGS='-lm -lz' OPT=''

build/velvet::
	make color CFLAGS='$(CFLAGS)' Z_LIB_FILES='' LDFLAGS='-lm -lz' OPT=''
	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
	help2man --no-info --name="simple hashing program" \
	         $(CURDIR)/velveth > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velveth.1
	help2man --no-info --name="simple hashing program (colorspace version)" \
	         $(CURDIR)/velveth_de > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velveth_de.1
	help2man --no-info --version-option=" " \
	         --name="de Bruijn graph construction, error removal and repeat resolution" \
	         $(CURDIR)/velvetg > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velvetg.1
	help2man --no-info --version-option=" " \
	         --name="de Bruijn graph construction, error removal and repeat resolution (colorspace version)" \
	         $(CURDIR)/velvetg_de > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velvetg_de.1

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
version=3
opts=dversionmangle=s/~nozlibcopy// \
  http://www.ebi.ac.uk/~zerbino/velvet/velvet_([.\d]*).tgz

## velvet 1.0.15~nozlibcopy

=== Makefile ===
CC = gcc
CFLAGS = -Wall
DEBUG = -g
LDFLAGS = -lm
OPT = -O3
MAXKMERLENGTH=31
CATEGORIES=2
DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)

Z_LIB_DIR=third-party/zlib-1.2.3
Z_LIB_FILES=$(Z_LIB_DIR)/*.o

# Mac OS users: uncomment the following lines
# Z_LIB_FILES=
# LDFLAGS = -lm -lz
# CFLAGS = -Wall -m64

# Sparc/Solaris users: uncomment the following line
# CFLAGS = -Wall -m64

ifdef BIGASSEMBLY
override DEF := $(DEF) -D BIGASSEMBLY
endif 	

ifdef LONGSEQUENCES
override DEF := $(DEF) -D LONGSEQUENCES
endif 	

OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/crc.o obj/utility.o obj/kmer.o obj/scaffold.o obj/kmerOccurenceTable.o obj/allocArray.o
OBJDBG = $(subst obj,obj/dbg,$(OBJ))

default : cleanobj zlib obj velveth velvetg doc

clean :
	-rm obj/*.o obj/dbg/*.o ./velvet* 
	cd $(Z_LIB_DIR) && make clean
	-rm -f doc/manual_src/Manual.toc doc/manual_src/Manual.aux doc/manual_src/Manual.out doc/manual_src/Manual.log
	-rm -f doc/manual_src/Columbus_manual.aux doc/manual_src/Columbus_manual.out doc/manual_src/Columbus_manual.log

cleanobj: 
	-rm obj/*.o obj/dbg/*.o 

zlib : 
	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o

velveth : obj 
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES)


velvetg : obj
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES)

debug : override DEF := $(DEF) -D DEBUG 
debug : cleanobj obj/dbg
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES)

color : override DEF := $(DEF) -D COLOR
color : cleanobj obj_de
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES)

colordebug : override DEF := $(DEF) -D COLOR -D DEBUG
colordebug : cleanobj obj/dbg_de
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES)

objdir:
	mkdir -p obj

obj: zlib cleanobj objdir $(OBJ)

obj_de: override DEF := $(DEF) -D COLOR
obj_de: zlib cleanobj objdir $(OBJ)

obj/dbgdir: 
	mkdir -p obj/dbg

obj/dbg: override DEF := $(DEF) -D DEBUG 
obj/dbg: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/dbg_de: override DEF := $(DEF) -D COLOR -D DEBUG
obj/dbg_de: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/%.o: src/%.c
	$(CC) $(CFLAGS) $(OPT) $(DEF) -c $? -o $@ 

obj/dbg/%.o: src/%.c
	$(CC) $(CFLAGS) $(DEBUG) $(DEF) -c $? -o $@ 

doc: Manual.pdf

Manual.pdf: doc/manual_src/Manual.tex doc/manual_src/Columbus_manual.tex
	cd doc/manual_src; pdflatex Manual.tex; pdflatex Manual.tex; mv Manual.pdf ../..; pdflatex Columbus_manual.tex; mv Columbus_manual.pdf ../..

=== debian/changelog ===
velvet (1.0.15~nozlibcopy-2) unstable; urgency=low

  * Fix FTBFS with ld --as-needed (thanks for the patch to
    Matthias Klose)
    Closes: #607535

 -- Andreas Tille <tille@debian.org>  Mon, 20 Dec 2010 08:43:16 +0100

velvet (1.0.15~nozlibcopy-1) unstable; urgency=low

  * New upstream source
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/get-upstream-source: Remove precompiled *.o files and
    .DS_Store files once we are repackaging anyway
  * debian/patches/fix-perl-path.patch: Fix Perl path

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 15:42:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: cdbs, debhelper (>= 7.1), zlib1g-dev, help2man, quilt
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.ebi.ac.uk/~zerbino/velvet/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/velvet/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/velvet/trunk/

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,10 @@
 
 pkg=velvet
 
-DEB_MAKE_BUILD_TARGET = obj velveth velvetg Z_LIB_FILES='' LDFLAGS='-lm -lz' OPT=''
+DEB_MAKE_BUILD_TARGET = obj velveth velvetg Z_LIB_FILES='' LIBS='-lm -lz' OPT=''
 
 build/velvet::
-	make color CFLAGS='$(CFLAGS)' Z_LIB_FILES='' LDFLAGS='-lm -lz' OPT=''
+	make color CFLAGS='$(CFLAGS)' Z_LIB_FILES='' LIBS='-lm -lz' OPT=''
 	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
 	help2man --no-info --name="simple hashing program" \
 	         $(CURDIR)/velveth > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velveth.1

## velvet 1.1.02~nozlibcopy

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,13 @@
 override DEF := $(DEF) -D LONGSEQUENCES
 endif 	
 
-OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/crc.o obj/utility.o obj/kmer.o obj/scaffold.o obj/kmerOccurenceTable.o obj/allocArray.o
+# OpenMP 
+ifdef OPENMP
+override CFLAGS := $(CFLAGS) -fopenmp
+override DEF := $(DEF) -D OPENMP
+endif
+
+OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/scaffold.o obj/kmerOccurenceTable.o obj/allocArray.o
 OBJDBG = $(subst obj,obj/dbg,$(OBJ))
 
 default : cleanobj zlib obj velveth velvetg doc
@@ -44,7 +50,7 @@
 	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o
 
 velveth : obj 
-	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES)
+	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES)
 
 
 velvetg : obj
@@ -52,17 +58,17 @@
 
 debug : override DEF := $(DEF) -D DEBUG 
 debug : cleanobj obj/dbg
-	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES)
 	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES)
 
 color : override DEF := $(DEF) -D COLOR
 color : cleanobj obj_de
-	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES)
+	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES)
 	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES)
 
 colordebug : override DEF := $(DEF) -D COLOR -D DEBUG
 colordebug : cleanobj obj/dbg_de
-	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES)
 	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES)
 
 objdir:

=== debian/changelog ===
velvet (1.1.02~nozlibcopy-1) unstable; urgency=low

  * New upstream version
    upgraded patches, tweak $(LIBS) into Z_LIB_FILES variable
    of Makefile which makes patch more robust against upstream
    changes
  * Debhelper 8 (control+compat)
  * debian/rules: Leave out Z_LIB_FILES in parameter list
  * debian/get-orig-source: Once we are rebuilding the original
    tarball anyway it makes sense to remove an outdated copy of
    MetaVelvet and replace it rather by a hint to the currently
    maintained source in README.source
  * Standards-Version: 3.9.2 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Apr 2011 10:51:16 +0200

velvet (1.0.18~nozlibcopy-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source: Make sure MD5sum stays the same for different
    download

 -- Andreas Tille <tille@debian.org>  Wed, 19 Jan 2011 08:48:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.1), zlib1g-dev, help2man, quilt
-Standards-Version: 3.9.1
+Build-Depends: cdbs, debhelper (>= 8), zlib1g-dev, help2man, quilt
+Standards-Version: 3.9.2
 Homepage: http://www.ebi.ac.uk/~zerbino/velvet/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/velvet/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/velvet/trunk/

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,10 @@
 
 pkg=velvet
 
-DEB_MAKE_BUILD_TARGET = obj velveth velvetg Z_LIB_FILES='' LIBS='-lm -lz' OPT=''
+DEB_MAKE_BUILD_TARGET = obj velveth velvetg LIBS='-lm -lz' OPT=''
 
 build/velvet::
-	make color CFLAGS='$(CFLAGS)' Z_LIB_FILES='' LIBS='-lm -lz' OPT=''
+	make color CFLAGS='$(CFLAGS)' LIBS='-lm -lz' OPT=''
 	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
 	help2man --no-info --name="simple hashing program" \
 	         $(CURDIR)/velveth > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velveth.1

## velvet 1.1.06~nozlibcopy

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,7 @@
 CATEGORIES=2
 DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)
 
-Z_LIB_DIR=third-party/zlib-1.2.3
-Z_LIB_FILES=$(Z_LIB_DIR)/*.o
-
 # Mac OS users: uncomment the following lines
-# Z_LIB_FILES=
-# LDFLAGS = -lm -lz
 # CFLAGS = -Wall -m64
 
 # Sparc/Solaris users: uncomment the following line
@@ -20,16 +15,25 @@
 
 ifdef BIGASSEMBLY
 override DEF := $(DEF) -D BIGASSEMBLY
+endif
+
+ifdef VBIGASSEMBLY
+override DEF := $(DEF) -D BIGASSEMBLY -D VBIGASSEMBLY
 endif 	
+
 
 ifdef LONGSEQUENCES
 override DEF := $(DEF) -D LONGSEQUENCES
-endif 	
+endif
 
 # OpenMP 
 ifdef OPENMP
 override CFLAGS := $(CFLAGS) -fopenmp
-override DEF := $(DEF) -D OPENMP
+endif
+
+# Per library coverage
+ifdef SINGLE_COV_CAT
+override DEF := $(DEF) -D SINGLE_COV_CAT
 endif
 
 OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/scaffold.o obj/kmerOccurenceTable.o obj/allocArray.o
@@ -37,17 +41,30 @@
 
 default : cleanobj zlib obj velveth velvetg doc
 
-clean :
+clean : clean-zlib
 	-rm obj/*.o obj/dbg/*.o ./velvet* 
-	cd $(Z_LIB_DIR) && make clean
 	-rm -f doc/manual_src/Manual.toc doc/manual_src/Manual.aux doc/manual_src/Manual.out doc/manual_src/Manual.log
 	-rm -f doc/manual_src/Columbus_manual.aux doc/manual_src/Columbus_manual.out doc/manual_src/Columbus_manual.log
 
 cleanobj: 
 	-rm obj/*.o obj/dbg/*.o 
 
-zlib : 
+ifdef BUNDLEDZLIB
+Z_LIB_DIR=third-party/zlib-1.2.3
+Z_LIB_FILES=$(Z_LIB_DIR)/*.o
+override DEF := $(DEF) -D BUNDLEDZLIB
+
+zlib: 
 	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o
+
+clean-zlib :
+	cd $(Z_LIB_DIR) && make clean
+else
+Z_LIB_FILES=-lz
+
+zlib :
+clean-zlib :
+endif
 
 velveth : obj 
 	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES)

=== debian/changelog ===
velvet (1.1.06~nozlibcopy-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version
  * debian/copyright: Revised
  * debian/get-orig-source: Do not remove MetaVelvet
  * debian/control:
     Build-Depends: texlive-latex-base

  [ Charles Plessy ]
  * Corrected VCS URLs in debian/control.
  * Compress source and binary packages with xz
    (debian/rules, debian/get-orig-source).
  * Turn on multithreading with OpenMP (debian/rules).
  * Remove empty directory contrib/MetaVelvet-v0.3.1/obj (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Tue, 27 Sep 2011 15:12:41 +0900

velvet (1.1.05-1ubuntu4) lucid; urgency=low

  * Moved from CDBS to DH
  * New upstream.  Still includes a copy of Zlib but the default
    is now to use the system version, so removed relevant patch.
  * Modified build to work on unmodified upstream (still works on
    pruned upstream).

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 11 Aug 2011 13:34:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: cdbs, debhelper (>= 8), zlib1g-dev, help2man, quilt
+Build-Depends: debhelper (>= 8), zlib1g-dev, help2man, quilt, texlive-latex-base
 Standards-Version: 3.9.2
 Homepage: http://www.ebi.ac.uk/~zerbino/velvet/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/velvet/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/velvet/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/velvet/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/velvet/trunk/
 
 Package: velvet
 Architecture: any
